zenilib: zenilib/jni/external/openal-soft/Alc/backends/null.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
null.c File Reference
`#include "config.h"`
`#include <stdlib.h>`
`#include "alMain.h"`
`#include "alu.h"`

Go to the source code of this file.

## Functions

void | alc_null_deinit (void)
ALCboolean | alc_null_init (BackendFuncs *func_list)
void | alc_null_probe (enum DevProbe type)
static void | null_close_playback (ALCdevice *device)
static ALCenum | null_open_playback (ALCdevice *device, const ALCchar *deviceName)
static ALCboolean | null_reset_playback (ALCdevice *device)
static ALCboolean | null_start_playback (ALCdevice *device)
static void | null_stop_playback (ALCdevice *device)
static ALuint | NullProc (ALvoid *ptr)

## Variables

static const BackendFuncs | null_funcs
static const ALCchar | nullDevice [] = "No Output"

## Function Documentation

void alc_null_deinit | ( | void |  | ) |

Definition at line 158 of file null.c.

ALCboolean alc_null_init | ( | BackendFuncs * | func_list | ) |

Definition at line 152 of file null.c.

References ALC_TRUE, and null_funcs.

void alc_null_probe | ( | enum DevProbe | type | ) |

Definition at line 162 of file null.c.

References ALL_DEVICE_PROBE, AppendAllDevicesList(), CAPTURE_DEVICE_PROBE, and nullDevice.

static void null_close_playback | ( | ALCdevice * | device | ) |

static

Definition at line 95 of file null.c.

References ALCdevice_struct::ExtraData, free, and NULL.

static ALCenum null_open_playback | ( | ALCdevice * | device,
|  | const ALCchar * | deviceName
| ) |  |

static

Definition at line 79 of file null.c.

References ALC_INVALID_VALUE, ALC_NO_ERROR, calloc, ALCdevice_struct::DeviceName, ALCdevice_struct::ExtraData, nullDevice, and strdup().

static ALCboolean null_reset_playback | ( | ALCdevice * | device | ) |

static

Definition at line 103 of file null.c.

References ALC_TRUE, and SetDefaultWFXChannelOrder().

static ALCboolean null_start_playback | ( | ALCdevice * | device | ) |

static

Definition at line 109 of file null.c.

References ALC_FALSE, ALC_TRUE, ALCdevice_struct::ExtraData, NULL, NullProc(), and StartThread().

static void null_stop_playback | ( | ALCdevice * | device | ) |

static

Definition at line 120 of file null.c.

References ALCdevice_struct::ExtraData, NULL, and StopThread().

static ALuint NullProc | ( | ALvoid * | ptr | ) |

static

Definition at line 40 of file null.c.

References aluMixData(), ALCdevice_struct::Connected, ALCdevice_struct::ExtraData, ALCdevice_struct::Frequency, NULL, Sleep, timeGetTime(), and ALCdevice_struct::UpdateSize.

Referenced by null_start_playback().

## Variable Documentation

const BackendFuncs null_funcs

static

Initial value:
= {
null_open_playback,
null_close_playback,
null_reset_playback,
null_start_playback,
null_stop_playback,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
ALCdevice_LockDefault,
ALCdevice_UnlockDefault,
ALCdevice_GetLatencyDefault
}
NULL
#define NULL
Definition: ftobjs.h:61
ALCdevice_GetLatencyDefault
ALint64 ALCdevice_GetLatencyDefault(ALCdevice *device)
Definition: ALc.c:1285
null_start_playback
static ALCboolean null_start_playback(ALCdevice *device)
Definition: null.c:109
null_close_playback
static void null_close_playback(ALCdevice *device)
Definition: null.c:95
ALCdevice_LockDefault
void ALCdevice_LockDefault(ALCdevice *device)
Definition: ALc.c:1277
null_stop_playback
static void null_stop_playback(ALCdevice *device)
Definition: null.c:120
null_reset_playback
static ALCboolean null_reset_playback(ALCdevice *device)
Definition: null.c:103
null_open_playback
static ALCenum null_open_playback(ALCdevice *device, const ALCchar *deviceName)
Definition: null.c:79
ALCdevice_UnlockDefault
void ALCdevice_UnlockDefault(ALCdevice *device)
Definition: ALc.c:1281

Definition at line 135 of file null.c.

Referenced by alc_null_init().

const ALCchar nullDevice[] = "No Output"

static

Definition at line 38 of file null.c.

Referenced by alc_null_probe(), and null_open_playback().